org.cpsolver.ifs.model

## Interface InfoProvider<V extends Variable<V,T>,T extends Value<V,T>>

- Type Parameters:
    `V` - Variable
    `T` - Value
  All Known Subinterfaces:
    Criterion<V,T>, ExtendedInfoProvider<V,T>
  All Known Implementing Classes:
    AbstractCriterion, AssignedValue, AssignInitialSelection, AssignmentCount, AttributePreferences, BackToBack, BackToBackInstructorPreferences, BacktrackSelection, BranchBoundSelection, BrokenTimePatterns, CoursePreferences, CriticalBacktrackSelection, CriticalCoursesBranchAndBoundSelection, DefaultStudentSectioning, DeltaTimePreference, DepartmentBalancingPenalty, DeterministicStudentSectioning, DifferentLecture, DistanceToStronglyPreferredRoom, DistributionPenalty, DistributionPreferences, Distributions, DistributionViolation, ExamCriterion, ExamRotationPenalty, ExamSplitter, FlexibleConstraintCriterion, HardConflicts, IgnoredCommittedStudentConflict, IgnoredStudentConflict, ImportantStudentConflict, ImportantStudentHardConflict, InstructorBackToBackConflicts, InstructorConflict, InstructorDirectConflicts, InstructorDistanceBackToBackConflicts, InstructorFairness, InstructorLunchBreak, InstructorMoreThan2ADayConflicts, InstructorNotAvailableConflicts, InstructorPreferences, InstructorSchedulingCriterion, InstructorStudentConflict, InstructorStudentHardConflict, LargeExamsPenalty, MinCreditBranchAndBoundSelection, OnlineSelection, OriginalInstructor, PeriodIndexPenalty, PeriodPenalty, PeriodSizePenalty, PeriodViolation, PerturbationPenalty, Perturbations, PlacementSelectionCriterion, PotentialHardConflicts, QuadraticStudentConflict, QuadraticStudentHardConflict, ResectionIncompleteStudentsSelection, ResectionUnassignedStudentsSelection, RoomPenalty, RoomPerturbationPenalty, RoomPreferences, RoomSizePenalty, RoomSizePenalty, RoomSplitDistancePenalty, RoomSplitPenalty, RoomViolation, RoomViolations, SameCommon, SameCourse, SameDays, SameInstructor, SameLink, SameRoom, SameSubpartBalancingPenalty, SctSectioning, StudentBackToBackConflicts, StudentCommittedConflict, StudentConflict, StudentDirectConflicts, StudentDistanceBackToBackConflicts, StudentDistanceConflict, StudentEnrollmentSwapSelection, StudentHardConflict, StudentLuchBreak, StudentMinimizeDaysOfWeek, StudentMinimizeScheduleHoles, StudentMoreThan1ADayConflicts, StudentMoreThan2ADayConflicts, StudentNotAvailableConflicts, StudentOnlineConflict, StudentOverlapConflict, StudentOverLunchConflict, StudentQuality, StudentSectioningModel.StudentSectioningModelContext, StudentSwapSectioning, StudentWorkdayConflict, SuggestionSelection, SwapStudentSelection, TeachingPreferences, TimeOverlaps, TimePreferences, TimePreferences, TimetablingCriterion, TimeViolations, TooBigRooms, UnusedInstructorLoad, UselessHalfHours, WeightedHardConflicts

      public interface InfoProvider<V extends Variable<V,T>,T extends Value<V,T>>

  A class providing INFO table.
  Version:
    IFS 1.3 (Iterative Forward Search)
    Copyright (C) 2006 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller
  See Also:
    `Model`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getInfo(Assignment<V,T> assignment, Map<String,String> info)` Adds some information into the table with information about the solution
    `void` | `getInfo(Assignment<V,T> assignment, Map<String,String> info, Collection<V> variables)` Adds some information into the table with information about the solution, only consider variables from the given set

- - ### Method Detail

    - #### getInfo

          void getInfo(Assignment<V,T> assignment,
                       Map<String,String> info)

      Adds some information into the table with information about the solution
      Parameters:
        `assignment` - current assignment
        `info` - info table

    - #### getInfo

          void getInfo(Assignment<V,T> assignment,
                       Map<String,String> info,
                       Collection<V> variables)

      Adds some information into the table with information about the solution, only consider variables from the given set
      Parameters:
        `assignment` - current assignment
        `info` - info table
        `variables` - sub-problem